package com.ruoyi.ykmap.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.ykmap.entity.Yywzl;
import com.ruoyi.ykmap.service.YywzlService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.Serializable;

/**
 * 【营运管理部门】：业务总览数据（exl_operation_overview_data_route）表控制层
 *
 * @author du
 * @since 2024/8/13 9:56
 */
@RestController
@RequestMapping("/ykmap/ywzl")
@Api(tags = "【营运管理部门】：业务总览数据")
@DataSource(value = DataSourceType.SLAVE)
public class YywzlController extends BaseController {

    /**
     * 服务对象
     */
    @Resource
    private YywzlService yywzlService;

    /**
     * 分页查询所有数据
     *
     * @param page               分页对象
     * @return 所有数据
     */
    @ApiOperation(value = "分页查询所有数据", response = Yywzl.class)
    @GetMapping
    public AjaxResult selectAll(Page<Yywzl> page) {
        return success(yywzlService.page(page));
    }


    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @ApiOperation(value = "通过主键查询单条数据", response = Yywzl.class)
    @GetMapping("{id}")
    public AjaxResult selectOne(@PathVariable Serializable id) {
        return success(yywzlService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param xlgl 实体对象
     * @return 新增结果
     */
    @ApiOperation(value = "新增数据")
    @PostMapping
    public AjaxResult insert(@RequestBody Yywzl xlgl) {
        return success(yywzlService.save(xlgl));
    }

    /**
     * 修改数据
     *
     * @param xlgl 实体对象
     * @return 修改结果
     */
    @ApiOperation(value = "修改数据")
    @PostMapping("/edit")
    public AjaxResult update(@RequestBody Yywzl xlgl) {
        return success(yywzlService.updateById(xlgl));
    }

    /**
     * 删除数据
     *
     * @param id 主键结合
     * @return 删除结果
     */
    @ApiOperation(value = "删除数据")
    @GetMapping("/delete/{id}")
    public AjaxResult delete(@PathVariable Long id) {
        return success(yywzlService.removeById(id));
    }

}
