package com.ruoyi.ykmap.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 【营运管理部门】：线路管理数据（exl_operation_line_data）表实体类
 *
 * @author du
 * @since 2024/8/13 9:49
 */
@Data
@ApiModel("线路管理数据")
@TableName(value = "exl_operation_line_data")
public class Yxlgl {

    /**
     * id
     */
    @TableId
    @ApiModelProperty("id")
    private String id;

    /**
     * 创建id
     */
    @ApiModelProperty("创建id")
    private Integer creatorId;

    /**
     * 更新id
     */
    @ApiModelProperty("更新id")
    private Integer updaterId;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 线路类型:工作日、周六、周日
     */
    @ApiModelProperty("线路类型:工作日、周六、周日")
    private String lineType;

    /**
     * 营运网点线路条数（条）
     */
    @ApiModelProperty("营运网点线路条数（条）")
    private Integer networkLineNum;

    /**
     * 营运无网点线路条数（条）
     */
    @ApiModelProperty("营运无网点线路条数（条）")
    private Integer noNetworkLineNum;

    /**
     * 维护线路条数（条）
     */
    @ApiModelProperty("维护线路条数（条）")
    private Integer maintenanceLineNum;

    /**
     * 数据时间（月份），时间戳
     */
    @ApiModelProperty("数据时间（月份），时间戳")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dataTime;

}
