package com.ruoyi.ykmap.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 【营运管理部门】：业务拓展数据（exl_operation_expansion_data）表实体类
 * @author du
 * @since 2024/8/14 10:33
 */
@Data
@ApiModel("业务总览数据")
@TableName(value = "exl_operation_expansion_data")
public class Yywtz {
    /**
     * id
     */
    @TableId
    @ApiModelProperty("id")
    private String id;

    /**
     * 创建id
     */
    @ApiModelProperty("创建id")
    private Integer creatorId;

    /**
     * 更新id
     */
    @ApiModelProperty("更新id")
    private Integer updaterId;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 业务已覆盖省份名称
     */
    @ApiModelProperty("业务已覆盖省份名称")
    private String provinceName;


    /**
     * 数据时间（月份），时间戳
     */
    @ApiModelProperty("数据时间（月份），时间戳")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dataTime;
}
