package com.ruoyi.ykmap.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 【营运管理部门】：业务总览数据（exl_operation_overview_data_route）表实体类
 * @author du
 * @since 2024/8/14 10:17
 */
@Data
@ApiModel("业务总览数据")
@TableName(value = "exl_operation_overview_data_route")
public class Yywzl {

    /**
     * id
     */
    @TableId
    @ApiModelProperty("id")
    private String id;

    /**
     * 创建id
     */
    @ApiModelProperty("创建id")
    private Integer creatorId;

    /**
     * 更新id
     */
    @ApiModelProperty("更新id")
    private Integer updaterId;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;


    /**
     * 区镇:吴中区、吴江区、虎丘区、姑苏区、工业园区、相城区
     */
    @ApiModelProperty("区镇:吴中区、吴江区、虎丘区、姑苏区、工业园区、相城区")
    private String area;


    /**
     * 线路总条数（条）
     */
    @ApiModelProperty("线路总条数（条）")
    private Integer lineTotalNum;


    /**
     * 数据时间（月份），时间戳
     */
    @ApiModelProperty("数据时间（月份），时间戳")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dataTime;

}
