package com.ruoyi.ykmap.entity.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 线路模板具体信息返回体
 * @author du
 * @since 2024/8/14 15:09
 */
@Data
@ApiModel("线路模板具体信息返回体")
public class LineTemplateResponse {

    /**
     * 区域
     */
    @ApiModelProperty("区域")
    private String area;

    /**
     * 线路总数
     */
    @ApiModelProperty("线路总数")
    private Integer lineNum;

    /**
     * 营业网点总数
     */
    @ApiModelProperty("营业网点总数")
    private Integer yywdzs;

    /**
     * 上门收款点总数
     */
    @ApiModelProperty("上门收款点总数")
    private Integer skdNum;

    /**
     * ATM机总数
     */
    @ApiModelProperty("ATM机总数")
    private Integer atmNum;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
