package com.ruoyi.ykmap.mapper;

import com.ruoyi.ykmap.entity.response.*;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 大屏线路数据层
 *
 * @author du
 * @since 2024/8/13 9:49
 */
public interface LineMapper{


    /**
     * 任务明细弹窗线路信息
     */
    SelectLineInfoResponse selectLineInfo(String id);

    /**
     * 任务明细弹窗装备信息
     */
    List<EquipResponse> equip(String id);

    /**
     * 任务明细弹窗人员信息
     */
    List<UserInfoResponse> userInfo(String id);

    /**
     * 任务明细弹窗标的物信息
     */
    ItemsResponse items(String id);

    /**
     * 线路模板具体信息
     */
    List<LineTemplateResponse> lineTemplate(@Param("area") String area,@Param("a1") LocalDate a1, @Param("a2")LocalDate a2);


    /**
     * 业务已覆盖省份清单
     */
    List<SearchCityResponse> searchCity(@Param("a1") LocalDate a1, @Param("a2")LocalDate a2);

    /**
     * 业务已覆盖省份个数
     */
    SearchCityCountResponse searchCityCount(@Param("a1") LocalDate a1, @Param("a2")LocalDate a2);

    String getByCarId(String id);
}
