package com.ruoyi.ykmap.service;

import com.ruoyi.ykmap.entity.response.*;

import java.util.List;

/**
 * 大屏线路业务层
 * @author du
 * @since 2024/8/14 10:43
 */
public interface LineService {

    /**
     * 任务明细弹窗线路信息
     */
    SelectLineInfoResponse selectLineInfo(String id);


    /**
     * 任务明细弹窗装备信息
     */
    List<EquipResponse> equip(String id);

    /**
     * 任务明细弹窗人员信息
     */
    List<UserInfoResponse> userInfo(String id);

    /**
     * 任务明细弹窗标的物信息
     */
    ItemsResponse items(String id);

    /**
     * 线路模板具体信息
     */
    List<LineTemplateResponse> lineTemplate(String area);

    /**
     * 业务已覆盖省份清单
     */
    List<SearchCityResponse> searchCity();

    /**
     * 业务已覆盖省份个数
     */
    SearchCityCountResponse searchCityCount();


    /**
     * 根据车辆id查询线路,装备,人员,标的
     */
    GetCarIdInfoResponse getCarIdInfo(String id);
}
